
import request from '@/utils/request'

/**
 * 文件管理列表
 */
export function fetchFileManageList(params) {
  return request({
    url: '/FileManage/list',
    method: 'get',
    params: params
  })
}

/**
 * 文件删除
 * @param fid
 */
export function delFile(fid) {
  return request({
    url: '/FileManage/delFile',
    method: 'post',
    data: { fid: fid }
  })
}

/**
 * 创建文件夹
 * @param fid 如果在根目录下创建fid为0
 * @param fileName 文件夹名称
 */
export function createDir(fid, fileName) {
  return request({
    url: '/FileManage/addFile',
    method: 'post',
    data: { fid: fid, fileName: fileName }
  })
}
